com.unitech.stuhfl

## Class STUHFL_T_VersionBoard

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Version
  - - com.unitech.stuhfl.STUHFL_T_VersionBoard

-     public class STUHFL_T_VersionBoard
      extends BR_Version

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_Version

      `BR_Version.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `buildHW` < O Param: Micro version board HW
    `byte` | `buildSW` < O Param: Micro version board SW
    `byte` | `majorHW` < O Param: Build version board SW
    `byte` | `majorSW`
    `byte` | `microHW` < O Param: Minor version board HW
    `byte` | `microSW` < O Param: Minor version board SW
    `byte` | `minorHW` < O Param: Major version board HW
    `byte` | `minorSW` < O Param: Major version board SW

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_VersionBoard()`
    `STUHFL_T_VersionBoard(STUHFL_T_VersionBoard other)` < O Param: Build version board HW

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `fetch()` Read the software and hardware numbers from board.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_Version

      `_GetBoardVersion, _STUHFL_F_GetLibVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### majorSW

          public byte majorSW

    - #### minorSW

          public byte minorSW

      < O Param: Major version board SW

    - #### microSW

          public byte microSW

      < O Param: Minor version board SW

    - #### buildSW

          public byte buildSW

      < O Param: Micro version board SW

    - #### majorHW

          public byte majorHW

      < O Param: Build version board SW

    - #### minorHW

          public byte minorHW

      < O Param: Major version board HW

    - #### microHW

          public byte microHW

      < O Param: Minor version board HW

    - #### buildHW

          public byte buildHW

      < O Param: Micro version board HW

  - ### Constructor Detail

    - #### STUHFL_T_VersionBoard

          public STUHFL_T_VersionBoard(STUHFL_T_VersionBoard other)

      < O Param: Build version board HW

    - #### STUHFL_T_VersionBoard

          public STUHFL_T_VersionBoard()

  - ### Method Detail

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Read the software and hardware numbers from board.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`